Skip to content
Get started

Get user

client.user.getUser(stringaddress, UserGetUserParams { with_percent, with_text, with_value } query?, RequestOptionsoptions?): UserGetUserResponse { data, error, status, status_text }
GET/api/v1/users/{address}/user

Get user

ParametersExpand Collapse
address: string

The user account address

query: UserGetUserParams { with_percent, with_text, with_value }
with_percent?: boolean

Calculate and include proportional percentages, where applicable

with_text?: boolean

Include text variation fields

with_value?: boolean

Calculate and include USD values for amounts, where applicable

ReturnsExpand Collapse
UserGetUserResponse { data, error, status, status_text }
data: User { markets, nept, wallets }
markets: UserMarket { borrow, lend }

User's market contribution overview

borrow: UserBorrowMarket { accounts, totals }

Overview of user borrowing portfolio

accounts: Array<UserBorrowMarketAccount { collaterals, debts, debts_net_rate, 2 more } >

Market sub-accounts for the user

collaterals: Array<UserCollateralAssetPool { amount, asset_info, extra } >

Account collateral allocations

amount: string

Amount of this asset which is actively collateralized

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

debts: Array<UserDebtAssetPool { asset_info, extra, market_rate, 2 more } >

Account debt allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
market_rate: MarketRate { apr, apy, extra }

Current market borrowing rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
debts_net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
health: UserAccountHealth { base, boost, extra, result } | null

Health data for this account

base: string

Account health value, before any added health boosts

boost: string

Account health boost to be applied

extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

base: string
boost: string
result: string
result: string

Account health, with boost

index: number

Account index

formatuint8
minimum0
maximum255
totals: UserBorrowMarketPools { collaterals, debts, debts_net_rate }

Collateral/debt totals of all sub-accounts by asset

collaterals: Array<UserCollateralAssetPool { amount, asset_info, extra } >

Account collateral allocations

amount: string

Amount of this asset which is actively collateralized

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

debts: Array<UserDebtAssetPool { asset_info, extra, market_rate, 2 more } >

Account debt allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

principal: string
shares: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

principal: string
shares: string
price: string

Price used in value calculations

principal: string
shares: string
market_rate: MarketRate { apr, apy, extra }

Current market borrowing rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
principal: string

Initial amount borrowed (of debts which have not yet been repaid)

shares: string
debts_net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
lend: UserLendMarket { asset_pools, net_rate }

Overview of user lending portfolio

asset_pools: Array<UserLendAssetPool { asset_info, market_rate, origin_equivalent, receipt_amounts } >

User lending allocations

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

market_rate: MarketRate { apr, apy, extra }

Current market lending rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
origin_equivalent: UserLendOriginAmounts { collateralized, extra, held, total }

The lending amounts converted into the equivalent for the receipt token's origin/source asset

collateralized: string

Total equivalent amount of origin token collateralized across this user's borrowing portfolio

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_collateralized = receipt_collateralized / receipt_redemption_ratio

extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
held: string

Total equivalent amount of origin token held in address balance

NOTE: This is not the amount of the origin asset that the user holds, but the amount held in the receipt token rendered as the equivalent amount in the origin asset.

Or, more formally: origin_equivalent_held = receipt_held / receipt_redemption_ratio

total: string

Total of held and collateralized equivalent for origin asset

Or, more formally: origin_equivalent_total = receipt_lent_total / receipt_redemption_ratio

receipt_amounts: UserLendReceiptAmounts { collateralized, extra, held, total }

The lending amounts in the original receipt token amounts

collateralized: string

Total amount of receipt token collateralized across this user's borrowing portfolio

extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

collateralized: string
held: string
total: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

collateralized: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

collateralized: string
held: string
price: string

Text representation of price

total: string
held: string
price: string

Price used in value calculations

total: string
held: string

Total amount of receipt token held in address balance

total: string

Sum of receipt amount held and receipt amount collateralized

net_rate: MarketRate { apr, apy, extra }

Account debt net rate

apr: string

Market rate in APR standard as a decimal percentage

apy: string

Market rate in APY standard as a decimal percentage

extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

apr: string
apy: string
nept: Nept { staking, unlocks }

User's NEPT associations (e.g. stake, unlocks)

staking: UserStake { asset_info, bonding_sum, claimable_rewards, 5 more }

Overview of the user's staking contributions/activity

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

bonding_sum: string

Total staked of all entries across all listed pools

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

claimable_rewards: string

NEPT rewarded from staking that is available yet not claimed by the user

claimable_unbonding: string

Sum of all unbond/unstake amounts that have completed their lockup period and are ready to be claimed.

extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

bonding_sum: string
claimable_rewards: string
claimable_unbonding: string
unclaimed: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

bonding_sum: string
claimable_rewards: string
claimable_unbonding: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

bonding_sum: string
claimable_rewards: string
claimable_unbonding: string
price: string

Text representation of price

unclaimed: string
price: string

Price used in value calculations

unclaimed: string
pools: Array<UserStakePool { amount_sum, common, contents, extra } >

User allocations for each staking pool

amount_sum: string

Total staked of all entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

common: StakingPoolFull { duration, extra, index, 2 more }

Staking pool contents along with associated pool state and pool params

duration: number

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
index: string
index: number

The ordered index (position) of this pool

formatuint8
minimum0
maximum255
params: StakingPoolParams { flash_loan_weight, gov_weight, health_weight, reward_weight }

Staking pool contract parameters

flash_loan_weight: string

The pool's weight (multiplier) for flash loans volume

gov_weight: string

The pool's weight (multiplier) on governance for an associated stake

health_weight: string

The pool's weight (multiplier) on account health for an associated stake

reward_weight: string

The pool's weight (multiplier) on rewards for an associated stake

state: StakingPoolState { extra, total_bonded }

Current contract state of staking pool

extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

total_bonded: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

total_bonded: string
price: string

Price used in value calculations

total_bonded: string
total_bonded: string

The total amount staked to this pool

contents: Array<UserStakeBondingEntry { account_index, amount, cascade, 3 more } >

Bonding/stake entries

NOTE: entries that differ only in amount are merged upon creation

account_index: number

User account index

formatuint8
minimum0
maximum255
amount: string

Bonding amount

cascade: boolean
extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
transition_at: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

last_stake_acc: string
transition_at: string | null
formatdate-time
extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: string
price: string

Text representation of price

price: string

Price used in value calculations

unbonding: UserStakeUnbonding { amount_sum, contents, extra }

User unstake/unbonding data

amount_sum: string

Total amount of all unbond entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

contents: Array<UserStakeUnbondingEntry { amount, extra, unlock_at } >

Unbonding/unstake entries

NOTE: cascade unbondings from pool >= 2 are contained in the bondings list of the lower adjacent pool from which the unbond occurred.

amount: string

Unbonding amount

extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
unlock_at: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

unlock_at: string

Timestamp for when the unstake can be redeemed

formatdate-time
extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: string
price: string

Text representation of price

price: string

Price used in value calculations

unclaimed: string
unlocks: UserUnlockOverview { arrangements, extra, last_claimed_at, totals }

Overview of the user's unlock arrangements and claim statistics

arrangements: Array<Arrangement>

A list of the user's active unlock arrangements

admin: Admin | null

The admin of the unlock, if any

address: string

The address of the unlock arrangement's admin

issued_reclaim: boolean

True if the admin his issued a reclaim on the unlock arrangement

amounts: UserUnlockAmounts { amount, claimable, claimed, 4 more }

Primary unlock amount and other pre-calculated/derived amounts

amount: string

The full unlock amount

This value is immutable and does not change with regards to expiry/reclamation/lock states.

claimable: string

The amount currently claimable

This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim.

claimed: string

The amount that has already been successfully claimed by the user.

expired: string

The amount that was claimable but has now expired due to the presence and subsequent passing of expires_at

extra: Extra { percent, text, value }
percent: Percent | null

Percentages for unlock amounts. These do not factor in the amount_staked or amount_held values. Will not be null when query param with_percent is true.

claimable: string
claimed: string
expired: string
extra: Extra { text }
text: Text | null

Human-readable variants of percentages for unlock amounts. Will not be null when query params with_text and with_percent are true.

claimable: string
claimed: string
expired: string
locked: string
reclaimed: string
locked: string
reclaimed: string
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
claimable: string
claimed: string
expired: string
locked: string
reclaimed: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
claimable: string
claimed: string
expired: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
claimable: string
claimed: string
expired: string
locked: string
price: string

Text representation of price

reclaimed: string
locked: string
price: string

Price used in value calculations

reclaimed: string
locked: string

The total amount of NEPT currently awaiting unlock NOTE: any reclaimed unlocks are excluded from the total, regardless of how much the user had claimed prior to reclamation.

reclaimed: string

The amount that has been reclaimed from the unlock arrangement admin

begins_at: string

The time at which the unlock begins

formatdate-time
expires_at: string | null

The time at which the unlock expires, if any

formatdate-time
extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

begins_at: string
expires_at: string
last_claimed_at: string
last_claimed_at: string | null

The time at which the unlock was last claimed, if any

formatdate-time

The schedule of the unlock

One of the following:
UserUnlockScheduleLinear { duration, ends_at, extra, kind }
duration: number

The duration of the unlock in seconds

formatuint64
minimum0
ends_at: string

The time at which the unlock has/was/would've completed. This is identical to begins_at + duration.

This timestamp will remain valid even if the unlock has been reclaimed. Therefore, it should not be used as a validity check.

formatdate-time
extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
ends_at: string
kind: "linear"
UserUnlockScheduleLumpSum { kind }
kind: "lump_sum"
extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

last_claimed_at: string
last_claimed_at: string | null

The time at which the most recent unlock claim occurred, if any

formatdate-time
totals: UserUnlockAmounts { amount, claimable, claimed, 4 more }

Contains pre-calculated total amounts for all unlock agreements

amount: string

The full unlock amount

This value is immutable and does not change with regards to expiry/reclamation/lock states.

claimable: string

The amount currently claimable

This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim.

claimed: string

The amount that has already been successfully claimed by the user.

expired: string

The amount that was claimable but has now expired due to the presence and subsequent passing of expires_at

extra: Extra { percent, text, value }
percent: Percent | null

Percentages for unlock amounts. These do not factor in the amount_staked or amount_held values. Will not be null when query param with_percent is true.

claimable: string
claimed: string
expired: string
extra: Extra { text }
text: Text | null

Human-readable variants of percentages for unlock amounts. Will not be null when query params with_text and with_percent are true.

claimable: string
claimed: string
expired: string
locked: string
reclaimed: string
locked: string
reclaimed: string
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
claimable: string
claimed: string
expired: string
locked: string
reclaimed: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
claimable: string
claimed: string
expired: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
claimable: string
claimed: string
expired: string
locked: string
price: string

Text representation of price

reclaimed: string
locked: string
price: string

Price used in value calculations

reclaimed: string
locked: string

The total amount of NEPT currently awaiting unlock NOTE: any reclaimed unlocks are excluded from the total, regardless of how much the user had claimed prior to reclamation.

reclaimed: string

The amount that has been reclaimed from the unlock arrangement admin

wallets: UserWalletPortfolio { balances, extra, total_value }

User's wallets and balances

balances: Array<WalletBalance { asset, values } >

Array of each wallet balance

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
values: WalletAsset

Derived values and amounts.

One of the following:
WalletAssetKnown { amount, amount_scaled, asset_info, 2 more }
amount: string

Wallet balance in native denom.

amount_scaled: string

Amount scaled to the asset's standard unit / decimal places.

asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key } | null

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" | "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

extra: Extra { text, value }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
value: Value | null

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: Extra { text }
text: Text | null

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

kind: "known"
WalletAssetUnknown { amount, kind }
amount: string

Wallet balance in native denom.

kind: "unknown"
extra: Extra { text }
text: Text | null

Human-readable field variants. Will not be null when query param with_text is true.

total_value: string
total_value: string | null

Sum value in USD. Guaranteed null if value calculation is disabled / guaranteed non-null if calculation is enabled.

NOTE: this only accounts for assets which are internally known & tracked. See the /assets endpoint for a list of supported assets.

error: unknown

Error data. Guaranteed null for successful response.

status: number

HTTP status. Successful responses are guaranteed to be < 400. Conversely, error responses are guaranteed to be >= 400.

formatuint16
minimum0
maximum65535
status_text: string

HTTP status text

Get user

import NeptuneAPIV2 from '@neptunefinance/api-v2';

const client = new NeptuneAPIV2();

const response = await client.user.getUser('injvalcons1a03k0ztfyjnd70apawva003pkh0adqmau0a9q0');

console.log(response.data);
{
  "data": {
    "markets": {
      "borrow": {
        "accounts": [
          {
            "index": 0,
            "collaterals": [
              {
                "asset_info": {
                  "asset": {
                    "id": "native;inj",
                    "group": "native",
                    "group_key": "inj"
                  },
                  "metadata": {
                    "name": "Injective",
                    "symbol": "INJ",
                    "symbol_denom": "inj",
                    "decimals_denom": 18,
                    "decimals_display": 4
                  },
                  "classification": {
                    "kind": "regular",
                    "neptune_receipt_asset": {
                      "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                      "group": "token",
                      "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                    }
                  }
                },
                "amount": "784395231757228517290",
                "extra": {
                  "text": {
                    "amount": "784.3952 INJ"
                  },
                  "value": {
                    "price": "2.99835",
                    "amount": "2351.891443139286124816",
                    "extra": {
                      "text": {
                        "amount": "$2,351.89",
                        "price": "$2.99"
                      }
                    }
                  }
                }
              }
            ],
            "debts": [
              {
                "asset_info": {
                  "asset": {
                    "id": "native;inj",
                    "group": "native",
                    "group_key": "inj"
                  },
                  "metadata": {
                    "name": "Injective",
                    "symbol": "INJ",
                    "symbol_denom": "inj",
                    "decimals_denom": 18,
                    "decimals_display": 4
                  },
                  "classification": {
                    "kind": "regular",
                    "neptune_receipt_asset": {
                      "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                      "group": "token",
                      "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                    }
                  }
                },
                "market_rate": {
                  "apr": "0.03537163",
                  "apy": "0.03600465",
                  "extra": {
                    "text": {
                      "apy": "3.60%",
                      "apr": "3.53%"
                    }
                  }
                },
                "principal": "716053849627087671144",
                "shares": "716053849627087671144",
                "extra": {
                  "text": {
                    "principal": "716.0538 INJ",
                    "shares": "716.0538 INJ"
                  },
                  "value": {
                    "shares": "2146.980060029378318774",
                    "price": "2.99835",
                    "principal": "2146.980060029378318774",
                    "extra": {
                      "text": {
                        "shares": "$2,146.98",
                        "price": "$2.99",
                        "principal": "$2,146.98"
                      }
                    }
                  }
                }
              }
            ],
            "debts_net_rate": {
              "apr": "0.035371629999999999",
              "apy": "0.036004649999999999",
              "extra": {
                "text": {
                  "apy": "3.60%",
                  "apr": "3.53%"
                }
              }
            },
            "health": {
              "base": "4.24",
              "boost": "1.01",
              "result": "4.2824",
              "extra": {
                "text": {
                  "base": "4.24",
                  "boost": "1.00%",
                  "result": "4.28"
                }
              }
            }
          }
        ],
        "totals": {
          "collaterals": [
            {
              "asset_info": {
                "asset": {
                  "id": "native;inj",
                  "group": "native",
                  "group_key": "inj"
                },
                "metadata": {
                  "name": "Injective",
                  "symbol": "INJ",
                  "symbol_denom": "inj",
                  "decimals_denom": 18,
                  "decimals_display": 4
                },
                "classification": {
                  "kind": "regular",
                  "neptune_receipt_asset": {
                    "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                    "group": "token",
                    "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                  }
                }
              },
              "amount": "784395231757228517290",
              "extra": {
                "text": {
                  "amount": "784.3952 INJ"
                },
                "value": {
                  "price": "2.99835",
                  "amount": "2351.891443139286124816",
                  "extra": {
                    "text": {
                      "amount": "$2,351.89",
                      "price": "$2.99"
                    }
                  }
                }
              }
            }
          ],
          "debts": [
            {
              "asset_info": {
                "asset": {
                  "id": "native;inj",
                  "group": "native",
                  "group_key": "inj"
                },
                "metadata": {
                  "name": "Injective",
                  "symbol": "INJ",
                  "symbol_denom": "inj",
                  "decimals_denom": 18,
                  "decimals_display": 4
                },
                "classification": {
                  "kind": "regular",
                  "neptune_receipt_asset": {
                    "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                    "group": "token",
                    "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                  }
                }
              },
              "market_rate": {
                "apr": "0.03537163",
                "apy": "0.03600465",
                "extra": {
                  "text": {
                    "apy": "3.60%",
                    "apr": "3.53%"
                  }
                }
              },
              "principal": "716053849627087671144",
              "shares": "716053849627087671144",
              "extra": {
                "text": {
                  "principal": "716.0538 INJ",
                  "shares": "716.0538 INJ"
                },
                "value": {
                  "shares": "2146.980060029378318774",
                  "price": "2.99835",
                  "principal": "2146.980060029378318774",
                  "extra": {
                    "text": {
                      "shares": "$2,146.98",
                      "price": "$2.99",
                      "principal": "$2,146.98"
                    }
                  }
                }
              }
            }
          ],
          "debts_net_rate": {
            "apr": "0.035371629999999999",
            "apy": "0.036004649999999999",
            "extra": {
              "text": {
                "apy": "3.60%",
                "apr": "3.53%"
              }
            }
          }
        }
      },
      "lend": {
        "asset_pools": [
          {
            "asset_info": {
              "asset": {
                "id": "native;inj",
                "group": "native",
                "group_key": "inj"
              },
              "metadata": {
                "name": "Injective",
                "symbol": "INJ",
                "symbol_denom": "inj",
                "decimals_denom": 18,
                "decimals_display": 4
              },
              "classification": {
                "kind": "regular",
                "neptune_receipt_asset": {
                  "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                  "group": "token",
                  "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                }
              }
            },
            "market_rate": {
              "apr": "0.26327306",
              "apy": "0.30118197",
              "extra": {
                "text": {
                  "apy": "30.11%",
                  "apr": "26.32%"
                }
              }
            },
            "receipt_amounts": {
              "held": "164074553899734695304",
              "collateralized": "522287922081685507240",
              "total": "686362475981420202544",
              "extra": {
                "text": {
                  "total": "686.3624 nINJ",
                  "held": "164.0745 nINJ",
                  "collateralized": "522.2879 nINJ"
                },
                "value": {
                  "held": "529.047635464493814053",
                  "collateralized": "1684.083141727355313851",
                  "price": "3.224434398205298254",
                  "total": "2213.130777191849127905",
                  "extra": {
                    "text": {
                      "price": "$3.22",
                      "collateralized": "$1,684.08",
                      "held": "$529.04",
                      "total": "$2,213.13"
                    }
                  }
                }
              }
            },
            "origin_equivalent": {
              "held": "175973563488277838892",
              "collateralized": "560165270184231828679",
              "total": "736138833672509667571",
              "extra": {
                "text": {
                  "total": "736.1388 INJ",
                  "collateralized": "560.1652 INJ",
                  "held": "175.9735 INJ"
                }
              }
            }
          }
        ],
        "net_rate": {
          "apr": "0.263273059999999999",
          "apy": "0.301181969999999999",
          "extra": {
            "text": {
              "apy": "30.11%",
              "apr": "26.32%"
            }
          }
        }
      }
    },
    "wallets": {
      "balances": [
        {
          "asset": {
            "id": "native;inj",
            "group": "native",
            "group_key": "inj"
          },
          "values": {
            "kind": "known",
            "asset_info": {
              "asset": {
                "id": "native;inj",
                "group": "native",
                "group_key": "inj"
              },
              "metadata": {
                "name": "Injective",
                "symbol": "INJ",
                "symbol_denom": "inj",
                "decimals_denom": 18,
                "decimals_display": 4
              },
              "classification": {
                "kind": "regular",
                "neptune_receipt_asset": {
                  "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                  "group": "token",
                  "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                }
              }
            },
            "amount": "210001668317261714156",
            "amount_scaled": "210.001668317261714156",
            "extra": {
              "text": {
                "amount": "210.0016 INJ"
              },
              "value": {
                "amount": "629.658502199061660639",
                "price": "2.99835",
                "extra": {
                  "text": {
                    "price": "$2.99",
                    "amount": "$629.65"
                  }
                }
              }
            }
          }
        }
      ],
      "total_value": "1222.044745699481568669",
      "extra": {
        "text": {
          "total_value": "$1,222.04"
        }
      }
    },
    "nept": {
      "staking": {
        "asset_info": {
          "asset": {
            "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept",
            "group": "native",
            "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept"
          },
          "metadata": {
            "name": "Neptune Token",
            "symbol": "NEPT",
            "symbol_denom": "nept",
            "decimals_denom": 6,
            "decimals_display": 5
          },
          "classification": {
            "kind": "regular",
            "neptune_receipt_asset": null
          }
        },
        "bonding_sum": "401534452",
        "pools": [
          {
            "common": {
              "index": 0,
              "duration": 604800,
              "extra": {
                "text": {
                  "duration": "7 days",
                  "index": "1"
                }
              },
              "params": {
                "reward_weight": "2",
                "gov_weight": "2",
                "health_weight": "1",
                "flash_loan_weight": "0"
              },
              "state": {
                "total_bonded": "0",
                "extra": {
                  "text": {
                    "total_bonded": "0.00000 NEPT"
                  },
                  "value": {
                    "total_bonded": "0",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "total_bonded": "$0.00"
                      }
                    }
                  }
                }
              }
            },
            "amount_sum": "164318800",
            "contents": [
              {
                "account_index": 0,
                "amount": "164318800",
                "cascade": false,
                "transition_at": null,
                "last_stake_acc": "4.845087",
                "extra": {
                  "text": {
                    "amount": "164.31880 NEPT",
                    "transition_at": "N/A"
                  },
                  "value": {
                    "amount": "5.354452726237398805",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "amount": "$5.35"
                      }
                    }
                  }
                }
              }
            ],
            "extra": {
              "text": {
                "amount_sum": "164.31880 NEPT"
              },
              "value": {
                "price": "0.032585758453916404",
                "amount_sum": "5.354452726237398805",
                "extra": {
                  "text": {
                    "price": "$0.03",
                    "amount_sum": "$5.35"
                  }
                }
              }
            }
          },
          {
            "common": {
              "index": 1,
              "duration": 2592000,
              "extra": {
                "text": {
                  "duration": "30 days",
                  "index": "2"
                }
              },
              "params": {
                "reward_weight": "2",
                "gov_weight": "2",
                "health_weight": "1",
                "flash_loan_weight": "0"
              },
              "state": {
                "total_bonded": "0",
                "extra": {
                  "text": {
                    "total_bonded": "0.00000 NEPT"
                  },
                  "value": {
                    "total_bonded": "0",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "total_bonded": "$0.00"
                      }
                    }
                  }
                }
              }
            },
            "amount_sum": "71231615",
            "contents": [
              {
                "account_index": 0,
                "amount": "71231615",
                "cascade": true,
                "transition_at": "2026-04-20T19:03:05.142002129Z",
                "last_stake_acc": "6.160662",
                "extra": {
                  "text": {
                    "amount": "71.23161 NEPT",
                    "transition_at": "2026-04-20 07:03:05 PM +00:00"
                  },
                  "value": {
                    "amount": "2.321136200672368531",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "amount": "$2.32"
                      }
                    }
                  }
                }
              }
            ],
            "extra": {
              "text": {
                "amount_sum": "71.23161 NEPT"
              },
              "value": {
                "price": "0.032585758453916404",
                "amount_sum": "2.321136200672368531",
                "extra": {
                  "text": {
                    "price": "$0.03",
                    "amount_sum": "$2.32"
                  }
                }
              }
            }
          },
          {
            "common": {
              "index": 2,
              "duration": 7776000,
              "extra": {
                "text": {
                  "duration": "90 days",
                  "index": "3"
                }
              },
              "params": {
                "reward_weight": "2",
                "gov_weight": "2",
                "health_weight": "1",
                "flash_loan_weight": "0"
              },
              "state": {
                "total_bonded": "0",
                "extra": {
                  "text": {
                    "total_bonded": "0.00000 NEPT"
                  },
                  "value": {
                    "total_bonded": "0",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "total_bonded": "$0.00"
                      }
                    }
                  }
                }
              }
            },
            "amount_sum": "165984037",
            "contents": [
              {
                "account_index": 0,
                "amount": "165984037",
                "cascade": true,
                "transition_at": "2026-04-29T08:19:03.142017062Z",
                "last_stake_acc": "0.059719",
                "extra": {
                  "text": {
                    "amount": "165.98403 NEPT",
                    "transition_at": "2026-04-29 08:19:03 AM +00:00"
                  },
                  "value": {
                    "amount": "5.408715736887923196",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "amount": "$5.40"
                      }
                    }
                  }
                }
              }
            ],
            "extra": {
              "text": {
                "amount_sum": "165.98403 NEPT"
              },
              "value": {
                "price": "0.032585758453916404",
                "amount_sum": "5.408715736887923196",
                "extra": {
                  "text": {
                    "price": "$0.03",
                    "amount_sum": "$5.40"
                  }
                }
              }
            }
          }
        ],
        "unbonding": {
          "amount_sum": "39306803",
          "contents": [
            {
              "amount": "39306803",
              "unlock_at": "2026-04-10T11:06:08.142030308Z",
              "extra": {
                "text": {
                  "unlock_at": "2026-04-10 11:06:08 AM +00:00",
                  "amount": "39.30680 NEPT"
                },
                "value": {
                  "price": "0.032585758453916404",
                  "amount": "1.28084198815367667",
                  "extra": {
                    "text": {
                      "amount": "$1.28",
                      "price": "$0.03"
                    }
                  }
                }
              }
            }
          ],
          "extra": {
            "text": {
              "amount_sum": "39.30680 NEPT"
            },
            "value": {
              "amount_sum": "1.28084198815367667",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "amount_sum": "$1.28",
                  "price": "$0.03"
                }
              }
            }
          }
        },
        "unclaimed": "101427805",
        "claimable_rewards": "56012748",
        "claimable_unbonding": "134541207",
        "extra": {
          "text": {
            "claimable_rewards": "56.01274 NEPT",
            "bonding_sum": "401.53445 NEPT",
            "claimable_unbonding": "134.54120 NEPT",
            "unclaimed": "101.42780 NEPT"
          },
          "value": {
            "bonding_sum": "13.084304663797690533",
            "unclaimed": "3.305101954240934511",
            "claimable_unbonding": "4.384127273400366871",
            "claimable_rewards": "1.82521787666808915",
            "price": "0.032585758453916404",
            "extra": {
              "text": {
                "unclaimed": "$3.30",
                "price": "$0.03",
                "bonding_sum": "$13.08",
                "claimable_rewards": "$1.82",
                "claimable_unbonding": "$4.38"
              }
            }
          }
        }
      },
      "unlocks": {
        "arrangements": [
          {
            "begins_at": "2025-08-21T01:52:45Z",
            "schedule": {
              "kind": "linear",
              "duration": 50879281,
              "ends_at": "2027-04-01T23:00:46Z",
              "extra": {
                "text": {
                  "ends_at": "2027-04-01 11:00:46 PM +00:00",
                  "duration": "1 year"
                }
              }
            },
            "last_claimed_at": "2025-09-13T01:10:22Z",
            "expires_at": "2027-11-17T08:48:26Z",
            "admin": {
              "address": "inj1loremipsumdolorsitametconsecteturadipi",
              "issued_reclaim": false
            },
            "extra": {
              "text": {
                "begins_at": "2025-08-21 01:52:45 AM +00:00",
                "last_claimed_at": "2025-09-13 01:10:22 AM +00:00",
                "expires_at": "2027-11-17 08:48:26 AM +00:00"
              }
            },
            "amounts": {
              "amount": "730243285",
              "claimed": "28484727",
              "claimable": "259093450",
              "locked": "442665108",
              "expired": "0",
              "reclaimed": "0",
              "extra": {
                "text": {
                  "claimable": "259.0934 NEPT",
                  "amount": "730.2432 NEPT",
                  "reclaimed": "0.0000 NEPT",
                  "locked": "442.6651 NEPT",
                  "claimed": "28.4847 NEPT",
                  "expired": "0.0000 NEPT"
                },
                "percent": {
                  "reclaimed": "0",
                  "claimable": "0.354804289641636348",
                  "claimed": "0.039007174163881561",
                  "expired": "0",
                  "locked": "0.606188536194482089",
                  "extra": {
                    "text": {
                      "locked": "60.61%",
                      "reclaimed": "0.00%",
                      "claimable": "35.48%",
                      "expired": "0.00%",
                      "claimed": "3.90%"
                    }
                  }
                },
                "value": {
                  "reclaimed": "0",
                  "amount": "23.795531297604435972",
                  "claimed": "0.928196433647750848",
                  "expired": "0",
                  "price": "0.032585758453916404",
                  "claimable": "8.442756578691867123",
                  "locked": "14.424578285264817999",
                  "extra": {
                    "text": {
                      "expired": "$0.00",
                      "claimed": "$0.92",
                      "price": "$0.03",
                      "locked": "$14.42",
                      "reclaimed": "$0.00",
                      "amount": "$23.79",
                      "claimable": "$8.44"
                    }
                  }
                }
              }
            }
          },
          {
            "begins_at": "2025-11-03T11:29:10Z",
            "schedule": {
              "kind": "linear",
              "duration": 38854520,
              "ends_at": "2027-01-27T04:24:30Z",
              "extra": {
                "text": {
                  "ends_at": "2027-01-27 04:24:30 AM +00:00",
                  "duration": "1 year"
                }
              }
            },
            "last_claimed_at": "2026-04-08T23:27:14Z",
            "expires_at": "2027-04-03T12:21:03Z",
            "admin": {
              "address": "inj1loremipsumdolorsitametconsecteturadipi",
              "issued_reclaim": false
            },
            "extra": {
              "text": {
                "begins_at": "2025-11-03 11:29:10 AM +00:00",
                "last_claimed_at": "2026-04-08 11:27:14 PM +00:00",
                "expires_at": "2027-04-03 12:21:03 PM +00:00"
              }
            },
            "amounts": {
              "amount": "611409005",
              "claimed": "212772081",
              "claimable": "1371775",
              "locked": "397265149",
              "expired": "0",
              "reclaimed": "0",
              "extra": {
                "text": {
                  "claimable": "1.3717 NEPT",
                  "amount": "611.4090 NEPT",
                  "reclaimed": "0.0000 NEPT",
                  "locked": "397.2651 NEPT",
                  "claimed": "212.7720 NEPT",
                  "expired": "0.0000 NEPT"
                },
                "percent": {
                  "reclaimed": "0",
                  "claimable": "0.002243629041741051",
                  "claimed": "0.348002857759675947",
                  "expired": "0",
                  "locked": "0.649753513198583",
                  "extra": {
                    "text": {
                      "locked": "64.97%",
                      "reclaimed": "0.00%",
                      "claimable": "0.22%",
                      "expired": "0.00%",
                      "claimed": "34.80%"
                    }
                  }
                },
                "value": {
                  "reclaimed": "0",
                  "amount": "19.923226153479366922",
                  "claimed": "6.933339637203135879",
                  "expired": "0",
                  "price": "0.032585758453916404",
                  "claimable": "0.044700328803121175",
                  "locked": "12.945186187473109868",
                  "extra": {
                    "text": {
                      "expired": "$0.00",
                      "claimed": "$6.93",
                      "price": "$0.03",
                      "locked": "$12.94",
                      "reclaimed": "$0.00",
                      "amount": "$19.92",
                      "claimable": "$0.04"
                    }
                  }
                }
              }
            }
          }
        ],
        "totals": {
          "amount": "1341652290",
          "claimed": "241256808",
          "claimable": "260465225",
          "locked": "839930257",
          "expired": "0",
          "reclaimed": "0",
          "extra": {
            "text": {
              "claimable": "260.4652 NEPT",
              "amount": "1,341.6522 NEPT",
              "reclaimed": "0.0000 NEPT",
              "locked": "839.9302 NEPT",
              "claimed": "241.2568 NEPT",
              "expired": "0.0000 NEPT"
            },
            "percent": {
              "reclaimed": "0",
              "claimable": "0.194137651716004599",
              "claimed": "0.179820665755357522",
              "expired": "0",
              "locked": "0.626041682528637878",
              "extra": {
                "text": {
                  "locked": "62.60%",
                  "reclaimed": "0.00%",
                  "claimable": "19.41%",
                  "expired": "0.00%",
                  "claimed": "17.98%"
                }
              }
            },
            "value": {
              "reclaimed": "0",
              "amount": "43.718757451083802895",
              "claimed": "7.861536070850886727",
              "expired": "0",
              "price": "0.032585758453916404",
              "claimable": "8.487456907494988299",
              "locked": "27.369764472737927868",
              "extra": {
                "text": {
                  "expired": "$0.00",
                  "claimed": "$7.86",
                  "price": "$0.03",
                  "locked": "$27.36",
                  "reclaimed": "$0.00",
                  "amount": "$43.71",
                  "claimable": "$8.48"
                }
              }
            }
          }
        },
        "last_claimed_at": "2025-03-01T14:29:00Z",
        "extra": {
          "text": {
            "last_claimed_at": "2025-03-01 02:29:00 PM +00:00"
          }
        }
      }
    }
  },
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}
Returns Examples
{
  "data": {
    "markets": {
      "borrow": {
        "accounts": [
          {
            "index": 0,
            "collaterals": [
              {
                "asset_info": {
                  "asset": {
                    "id": "native;inj",
                    "group": "native",
                    "group_key": "inj"
                  },
                  "metadata": {
                    "name": "Injective",
                    "symbol": "INJ",
                    "symbol_denom": "inj",
                    "decimals_denom": 18,
                    "decimals_display": 4
                  },
                  "classification": {
                    "kind": "regular",
                    "neptune_receipt_asset": {
                      "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                      "group": "token",
                      "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                    }
                  }
                },
                "amount": "784395231757228517290",
                "extra": {
                  "text": {
                    "amount": "784.3952 INJ"
                  },
                  "value": {
                    "price": "2.99835",
                    "amount": "2351.891443139286124816",
                    "extra": {
                      "text": {
                        "amount": "$2,351.89",
                        "price": "$2.99"
                      }
                    }
                  }
                }
              }
            ],
            "debts": [
              {
                "asset_info": {
                  "asset": {
                    "id": "native;inj",
                    "group": "native",
                    "group_key": "inj"
                  },
                  "metadata": {
                    "name": "Injective",
                    "symbol": "INJ",
                    "symbol_denom": "inj",
                    "decimals_denom": 18,
                    "decimals_display": 4
                  },
                  "classification": {
                    "kind": "regular",
                    "neptune_receipt_asset": {
                      "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                      "group": "token",
                      "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                    }
                  }
                },
                "market_rate": {
                  "apr": "0.03537163",
                  "apy": "0.03600465",
                  "extra": {
                    "text": {
                      "apy": "3.60%",
                      "apr": "3.53%"
                    }
                  }
                },
                "principal": "716053849627087671144",
                "shares": "716053849627087671144",
                "extra": {
                  "text": {
                    "principal": "716.0538 INJ",
                    "shares": "716.0538 INJ"
                  },
                  "value": {
                    "shares": "2146.980060029378318774",
                    "price": "2.99835",
                    "principal": "2146.980060029378318774",
                    "extra": {
                      "text": {
                        "shares": "$2,146.98",
                        "price": "$2.99",
                        "principal": "$2,146.98"
                      }
                    }
                  }
                }
              }
            ],
            "debts_net_rate": {
              "apr": "0.035371629999999999",
              "apy": "0.036004649999999999",
              "extra": {
                "text": {
                  "apy": "3.60%",
                  "apr": "3.53%"
                }
              }
            },
            "health": {
              "base": "4.24",
              "boost": "1.01",
              "result": "4.2824",
              "extra": {
                "text": {
                  "base": "4.24",
                  "boost": "1.00%",
                  "result": "4.28"
                }
              }
            }
          }
        ],
        "totals": {
          "collaterals": [
            {
              "asset_info": {
                "asset": {
                  "id": "native;inj",
                  "group": "native",
                  "group_key": "inj"
                },
                "metadata": {
                  "name": "Injective",
                  "symbol": "INJ",
                  "symbol_denom": "inj",
                  "decimals_denom": 18,
                  "decimals_display": 4
                },
                "classification": {
                  "kind": "regular",
                  "neptune_receipt_asset": {
                    "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                    "group": "token",
                    "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                  }
                }
              },
              "amount": "784395231757228517290",
              "extra": {
                "text": {
                  "amount": "784.3952 INJ"
                },
                "value": {
                  "price": "2.99835",
                  "amount": "2351.891443139286124816",
                  "extra": {
                    "text": {
                      "amount": "$2,351.89",
                      "price": "$2.99"
                    }
                  }
                }
              }
            }
          ],
          "debts": [
            {
              "asset_info": {
                "asset": {
                  "id": "native;inj",
                  "group": "native",
                  "group_key": "inj"
                },
                "metadata": {
                  "name": "Injective",
                  "symbol": "INJ",
                  "symbol_denom": "inj",
                  "decimals_denom": 18,
                  "decimals_display": 4
                },
                "classification": {
                  "kind": "regular",
                  "neptune_receipt_asset": {
                    "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                    "group": "token",
                    "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                  }
                }
              },
              "market_rate": {
                "apr": "0.03537163",
                "apy": "0.03600465",
                "extra": {
                  "text": {
                    "apy": "3.60%",
                    "apr": "3.53%"
                  }
                }
              },
              "principal": "716053849627087671144",
              "shares": "716053849627087671144",
              "extra": {
                "text": {
                  "principal": "716.0538 INJ",
                  "shares": "716.0538 INJ"
                },
                "value": {
                  "shares": "2146.980060029378318774",
                  "price": "2.99835",
                  "principal": "2146.980060029378318774",
                  "extra": {
                    "text": {
                      "shares": "$2,146.98",
                      "price": "$2.99",
                      "principal": "$2,146.98"
                    }
                  }
                }
              }
            }
          ],
          "debts_net_rate": {
            "apr": "0.035371629999999999",
            "apy": "0.036004649999999999",
            "extra": {
              "text": {
                "apy": "3.60%",
                "apr": "3.53%"
              }
            }
          }
        }
      },
      "lend": {
        "asset_pools": [
          {
            "asset_info": {
              "asset": {
                "id": "native;inj",
                "group": "native",
                "group_key": "inj"
              },
              "metadata": {
                "name": "Injective",
                "symbol": "INJ",
                "symbol_denom": "inj",
                "decimals_denom": 18,
                "decimals_display": 4
              },
              "classification": {
                "kind": "regular",
                "neptune_receipt_asset": {
                  "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                  "group": "token",
                  "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                }
              }
            },
            "market_rate": {
              "apr": "0.26327306",
              "apy": "0.30118197",
              "extra": {
                "text": {
                  "apy": "30.11%",
                  "apr": "26.32%"
                }
              }
            },
            "receipt_amounts": {
              "held": "164074553899734695304",
              "collateralized": "522287922081685507240",
              "total": "686362475981420202544",
              "extra": {
                "text": {
                  "total": "686.3624 nINJ",
                  "held": "164.0745 nINJ",
                  "collateralized": "522.2879 nINJ"
                },
                "value": {
                  "held": "529.047635464493814053",
                  "collateralized": "1684.083141727355313851",
                  "price": "3.224434398205298254",
                  "total": "2213.130777191849127905",
                  "extra": {
                    "text": {
                      "price": "$3.22",
                      "collateralized": "$1,684.08",
                      "held": "$529.04",
                      "total": "$2,213.13"
                    }
                  }
                }
              }
            },
            "origin_equivalent": {
              "held": "175973563488277838892",
              "collateralized": "560165270184231828679",
              "total": "736138833672509667571",
              "extra": {
                "text": {
                  "total": "736.1388 INJ",
                  "collateralized": "560.1652 INJ",
                  "held": "175.9735 INJ"
                }
              }
            }
          }
        ],
        "net_rate": {
          "apr": "0.263273059999999999",
          "apy": "0.301181969999999999",
          "extra": {
            "text": {
              "apy": "30.11%",
              "apr": "26.32%"
            }
          }
        }
      }
    },
    "wallets": {
      "balances": [
        {
          "asset": {
            "id": "native;inj",
            "group": "native",
            "group_key": "inj"
          },
          "values": {
            "kind": "known",
            "asset_info": {
              "asset": {
                "id": "native;inj",
                "group": "native",
                "group_key": "inj"
              },
              "metadata": {
                "name": "Injective",
                "symbol": "INJ",
                "symbol_denom": "inj",
                "decimals_denom": 18,
                "decimals_display": 4
              },
              "classification": {
                "kind": "regular",
                "neptune_receipt_asset": {
                  "id": "token;inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f",
                  "group": "token",
                  "group_key": "inj1rmzufd7h09sqfrre5dtvu5d09ta7c0t4jzkr2f"
                }
              }
            },
            "amount": "210001668317261714156",
            "amount_scaled": "210.001668317261714156",
            "extra": {
              "text": {
                "amount": "210.0016 INJ"
              },
              "value": {
                "amount": "629.658502199061660639",
                "price": "2.99835",
                "extra": {
                  "text": {
                    "price": "$2.99",
                    "amount": "$629.65"
                  }
                }
              }
            }
          }
        }
      ],
      "total_value": "1222.044745699481568669",
      "extra": {
        "text": {
          "total_value": "$1,222.04"
        }
      }
    },
    "nept": {
      "staking": {
        "asset_info": {
          "asset": {
            "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept",
            "group": "native",
            "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept"
          },
          "metadata": {
            "name": "Neptune Token",
            "symbol": "NEPT",
            "symbol_denom": "nept",
            "decimals_denom": 6,
            "decimals_display": 5
          },
          "classification": {
            "kind": "regular",
            "neptune_receipt_asset": null
          }
        },
        "bonding_sum": "401534452",
        "pools": [
          {
            "common": {
              "index": 0,
              "duration": 604800,
              "extra": {
                "text": {
                  "duration": "7 days",
                  "index": "1"
                }
              },
              "params": {
                "reward_weight": "2",
                "gov_weight": "2",
                "health_weight": "1",
                "flash_loan_weight": "0"
              },
              "state": {
                "total_bonded": "0",
                "extra": {
                  "text": {
                    "total_bonded": "0.00000 NEPT"
                  },
                  "value": {
                    "total_bonded": "0",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "total_bonded": "$0.00"
                      }
                    }
                  }
                }
              }
            },
            "amount_sum": "164318800",
            "contents": [
              {
                "account_index": 0,
                "amount": "164318800",
                "cascade": false,
                "transition_at": null,
                "last_stake_acc": "4.845087",
                "extra": {
                  "text": {
                    "amount": "164.31880 NEPT",
                    "transition_at": "N/A"
                  },
                  "value": {
                    "amount": "5.354452726237398805",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "amount": "$5.35"
                      }
                    }
                  }
                }
              }
            ],
            "extra": {
              "text": {
                "amount_sum": "164.31880 NEPT"
              },
              "value": {
                "price": "0.032585758453916404",
                "amount_sum": "5.354452726237398805",
                "extra": {
                  "text": {
                    "price": "$0.03",
                    "amount_sum": "$5.35"
                  }
                }
              }
            }
          },
          {
            "common": {
              "index": 1,
              "duration": 2592000,
              "extra": {
                "text": {
                  "duration": "30 days",
                  "index": "2"
                }
              },
              "params": {
                "reward_weight": "2",
                "gov_weight": "2",
                "health_weight": "1",
                "flash_loan_weight": "0"
              },
              "state": {
                "total_bonded": "0",
                "extra": {
                  "text": {
                    "total_bonded": "0.00000 NEPT"
                  },
                  "value": {
                    "total_bonded": "0",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "total_bonded": "$0.00"
                      }
                    }
                  }
                }
              }
            },
            "amount_sum": "71231615",
            "contents": [
              {
                "account_index": 0,
                "amount": "71231615",
                "cascade": true,
                "transition_at": "2026-04-20T19:03:05.142002129Z",
                "last_stake_acc": "6.160662",
                "extra": {
                  "text": {
                    "amount": "71.23161 NEPT",
                    "transition_at": "2026-04-20 07:03:05 PM +00:00"
                  },
                  "value": {
                    "amount": "2.321136200672368531",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "amount": "$2.32"
                      }
                    }
                  }
                }
              }
            ],
            "extra": {
              "text": {
                "amount_sum": "71.23161 NEPT"
              },
              "value": {
                "price": "0.032585758453916404",
                "amount_sum": "2.321136200672368531",
                "extra": {
                  "text": {
                    "price": "$0.03",
                    "amount_sum": "$2.32"
                  }
                }
              }
            }
          },
          {
            "common": {
              "index": 2,
              "duration": 7776000,
              "extra": {
                "text": {
                  "duration": "90 days",
                  "index": "3"
                }
              },
              "params": {
                "reward_weight": "2",
                "gov_weight": "2",
                "health_weight": "1",
                "flash_loan_weight": "0"
              },
              "state": {
                "total_bonded": "0",
                "extra": {
                  "text": {
                    "total_bonded": "0.00000 NEPT"
                  },
                  "value": {
                    "total_bonded": "0",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "total_bonded": "$0.00"
                      }
                    }
                  }
                }
              }
            },
            "amount_sum": "165984037",
            "contents": [
              {
                "account_index": 0,
                "amount": "165984037",
                "cascade": true,
                "transition_at": "2026-04-29T08:19:03.142017062Z",
                "last_stake_acc": "0.059719",
                "extra": {
                  "text": {
                    "amount": "165.98403 NEPT",
                    "transition_at": "2026-04-29 08:19:03 AM +00:00"
                  },
                  "value": {
                    "amount": "5.408715736887923196",
                    "price": "0.032585758453916404",
                    "extra": {
                      "text": {
                        "price": "$0.03",
                        "amount": "$5.40"
                      }
                    }
                  }
                }
              }
            ],
            "extra": {
              "text": {
                "amount_sum": "165.98403 NEPT"
              },
              "value": {
                "price": "0.032585758453916404",
                "amount_sum": "5.408715736887923196",
                "extra": {
                  "text": {
                    "price": "$0.03",
                    "amount_sum": "$5.40"
                  }
                }
              }
            }
          }
        ],
        "unbonding": {
          "amount_sum": "39306803",
          "contents": [
            {
              "amount": "39306803",
              "unlock_at": "2026-04-10T11:06:08.142030308Z",
              "extra": {
                "text": {
                  "unlock_at": "2026-04-10 11:06:08 AM +00:00",
                  "amount": "39.30680 NEPT"
                },
                "value": {
                  "price": "0.032585758453916404",
                  "amount": "1.28084198815367667",
                  "extra": {
                    "text": {
                      "amount": "$1.28",
                      "price": "$0.03"
                    }
                  }
                }
              }
            }
          ],
          "extra": {
            "text": {
              "amount_sum": "39.30680 NEPT"
            },
            "value": {
              "amount_sum": "1.28084198815367667",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "amount_sum": "$1.28",
                  "price": "$0.03"
                }
              }
            }
          }
        },
        "unclaimed": "101427805",
        "claimable_rewards": "56012748",
        "claimable_unbonding": "134541207",
        "extra": {
          "text": {
            "claimable_rewards": "56.01274 NEPT",
            "bonding_sum": "401.53445 NEPT",
            "claimable_unbonding": "134.54120 NEPT",
            "unclaimed": "101.42780 NEPT"
          },
          "value": {
            "bonding_sum": "13.084304663797690533",
            "unclaimed": "3.305101954240934511",
            "claimable_unbonding": "4.384127273400366871",
            "claimable_rewards": "1.82521787666808915",
            "price": "0.032585758453916404",
            "extra": {
              "text": {
                "unclaimed": "$3.30",
                "price": "$0.03",
                "bonding_sum": "$13.08",
                "claimable_rewards": "$1.82",
                "claimable_unbonding": "$4.38"
              }
            }
          }
        }
      },
      "unlocks": {
        "arrangements": [
          {
            "begins_at": "2025-08-21T01:52:45Z",
            "schedule": {
              "kind": "linear",
              "duration": 50879281,
              "ends_at": "2027-04-01T23:00:46Z",
              "extra": {
                "text": {
                  "ends_at": "2027-04-01 11:00:46 PM +00:00",
                  "duration": "1 year"
                }
              }
            },
            "last_claimed_at": "2025-09-13T01:10:22Z",
            "expires_at": "2027-11-17T08:48:26Z",
            "admin": {
              "address": "inj1loremipsumdolorsitametconsecteturadipi",
              "issued_reclaim": false
            },
            "extra": {
              "text": {
                "begins_at": "2025-08-21 01:52:45 AM +00:00",
                "last_claimed_at": "2025-09-13 01:10:22 AM +00:00",
                "expires_at": "2027-11-17 08:48:26 AM +00:00"
              }
            },
            "amounts": {
              "amount": "730243285",
              "claimed": "28484727",
              "claimable": "259093450",
              "locked": "442665108",
              "expired": "0",
              "reclaimed": "0",
              "extra": {
                "text": {
                  "claimable": "259.0934 NEPT",
                  "amount": "730.2432 NEPT",
                  "reclaimed": "0.0000 NEPT",
                  "locked": "442.6651 NEPT",
                  "claimed": "28.4847 NEPT",
                  "expired": "0.0000 NEPT"
                },
                "percent": {
                  "reclaimed": "0",
                  "claimable": "0.354804289641636348",
                  "claimed": "0.039007174163881561",
                  "expired": "0",
                  "locked": "0.606188536194482089",
                  "extra": {
                    "text": {
                      "locked": "60.61%",
                      "reclaimed": "0.00%",
                      "claimable": "35.48%",
                      "expired": "0.00%",
                      "claimed": "3.90%"
                    }
                  }
                },
                "value": {
[...]
